BooleanValue (Java Debug Interface )
Keywords: com.sun.jdi.BooleanValue interface
Date: 2015-11-19

com.sun.jdi

## Interface BooleanValue

- All Superinterfaces:
    Mirror, PrimitiveValue, Value

      @Exported
      public interface BooleanValue
      extends PrimitiveValue

  Provides access to a primitive `boolean` value in the target VM.
  Since:
    1.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares the specified Object with this BooleanValue for equality.
    `int` | `hashCode()` Returns the hash code value for this BooleanValue.
    `boolean` | `value()` Returns this BooleanValue as a boolean.

    - ### Methods inherited from interface com.sun.jdi.PrimitiveValue

      `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

    - ### Methods inherited from interface com.sun.jdi.Value

      `type`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

- - ### Method Detail

    - #### value

          boolean value()

      Returns this BooleanValue as a boolean.
      Returns:
        the `boolean` mirrored by this object.

    - #### equals

          boolean equals(Object obj)

      Compares the specified Object with this BooleanValue for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        true if the Object is a BooleanValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          int hashCode()

      Returns the hash code value for this BooleanValue.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the integer hash code
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

Copyright © 1999, 2015, Oracle and/or its affiliates. All rights reserved.